# Class DefaultContactStringException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.ggf.drmaa.DrmaaException
org.ggf.drmaa.DrmsInitException
org.ggf.drmaa.InvalidContactStringException
org.ggf.drmaa.DefaultContactStringException

All Implemented Interfaces:
  `Serializable`

public class DefaultContactStringException extends InvalidContactStringException
DRMAA could not use the default contact string to connect to the DRM system.

Since:
  0.4.2
Version:
  1.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DefaultContactStringException()`
Creates a new instance of `DefaultContactStringException` without detail message.
`DefaultContactStringException(String msg)`
Constructs an instance of `DefaultContactStringException` with the specified detail message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DefaultContactStringException

public DefaultContactStringException()
Creates a new instance of `DefaultContactStringException` without detail message.

### DefaultContactStringException

public DefaultContactStringException(String msg)
Constructs an instance of `DefaultContactStringException` with the specified detail message.

Parameters:
  `msg` - the detail message.